﻿import graphical.AScene3D;

/**
 * This class was supposed to populate the 3DScene directly with createObjects.
 * Instead, the 3Dscene is populated dynamically using add3DObject() and remove3DObject().
 * Since AScene3D was meant as abstract, I'll be consistent and treat it as such. Even if
 * I didn't the singleton get method would return null.
 */
class Scene3D extends graphical.AScene3D {
	
	/**
	 * Constructor: calls the super constructor with the same parameter
	 */
	private function Scene3D(parent:MovieClip) {
		super(parent);
	}
	
	/**
	 * Returns a reference to the singleton 3DScene instance.
	 */
	public static function get3DScene(parent:MovieClip):Scene3D {
		if (scene3D == null) {
			scene3D = new Scene3D(parent);
		}
		return Scene3D(scene3D);
	}
	
	/**
	 * Unused, but still implemented because AScene3D is abstract.
	 */
	private function createObjects() {
		//
	}
}
